# getMethods abstract method

List<Method> getMethods()

Gets all methods declared in this class.

Returns:

- List of all methods (instance and static)
- Empty list if no methods exist

Example:

    final methods = Class.forType<MyService>().getMethods();
    methods.forEach((m) => print(m.name));

Includes:

- Instance methods
- Static methods
- Operator overloads
- Getters/setters

Excludes:

- Inherited methods (use `getAllMethods` for hierarchy traversal)

## Implementation

    List<Method> getMethods();